Bug 171791

Summary: libreoffice-3.5.6_1 display corruption [unusable]
Product: Ports & Packages Reporter: grarpamp
Component: Individual Port(s)Assignee: FreeBSD Office Team <office>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description grarpamp 2012-09-19 20:30:09 UTC
Libreoffice appears to have a critical display bug 
in its application window. It's repeatable every time.

RELENG_8 i386 GENERIC as of jul 4 2012
packages-8-stable as of sep 18 2012 

rm -rf /usr/local
populate it with pkg_add only, including...

libreoffice-3.5.6_1 
xorg-7.5.2
 drm0: <Intel i845G GMCH> on vgapci0
 info: [drm] AGP at 0xe0000000 128MB
 info: [drm] Initialized i915 1.6.0 20080730
 (II) Loading /usr/local/lib/xorg/modules/drivers/intel_drv.so
openjdk-7.6.24_1

 
cli% libreoffice

click spreadsheet to make a new spreadsheet

drag right slider up and down quickly
observe some small app window display corruption

click in any cell

drag right slider up and down
observe major app window display corruption

resize the entire window
observe major app window display corruption
 
restart and load a sample spreadsheet
observe the same thing
Comment 1 R.Mahmatkhanov 2012-09-20 08:18:24 UTC
It may be actually related to xorg/drm, because I have the same behavior 
with chromium - closing/reopening glitchy tab helps, also as rolling up 
the chromium window. Never expected the same with libreoffice however.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 2 grarpamp 2012-09-20 18:41:33 UTC
> I have the same behavior with chromium

Thanks for the confirmation that someone else is seeing
some form of corruption. (There are not screenshots yet
so we may be seeing different forms.)

> closing/reopening glitchy tab helps, also as rolling up the
> chromium window.

Tabbing (in localc) through the three sheets doesn't work for me.
Nor does window rollup. Even if they did, these would hardly be
a workaround when daily spreadsheet life requires a lot of clicking,
scrolling, etc.

> It may be actually related to xorg/drm
> Never expected the same with libreoffice however.

I know that as of the July 4 2012 packages on FTP,
on this same world, these versions worked fine:

May 25 13:18 libdrm-2.4.17_1.tbz
Jun 04 17:55 xf86-video-intel-2.7.1_4.tbz
Jun 06 00:45 xorg-7.5.2.tbz
Jun 04 18:00 e16-1.0.10_1.tbz
Jun 05 01:47 openjdk-7.4.22.tbz
Jun 06 12:11 libreoffice-3.5.2_4.tbz

( I'll include the current ones I'm running from Sep 19 2012 here:
Sep 13 20:59 libdrm-2.4.17_1.tbz
Sep 14 09:57 xf86-video-intel-2.7.1_4.tbz
Sep 16 20:10 xorg-7.5.2.tbz
Sep 14 10:09 e16-1.0.10.002.tbz
Sep 14 07:39 openjdk-7.6.24_1.tbz
Sep 14 12:32 libreoffice-3.5.6_1.tbz
)

So if it was an xorg/intel/drm issue I would think to expect corruption
with more apps, not just libreoffice. But I'll include the below for
reference (even if only my own)...


It seems that the current FreeBSD FTP packages for xorg/intel/drm,
which are composed of these freedesktop FTP sources:

libdrm-2.4.17.tar.gz	21-Dec-2009
May 04  2010 xorg-server-1.7.7.tar.gz
May 13  2009 xf86-video-intel-2.7.1.tar.gz

are well behind the current freedesktop versions:

libdrm-2.4.39.tar.gz	24-Aug-2012
Sep 05 2012 xorg-server-1.13.0.tar.gz
Sep 16 2012 xf86-video-intel-2.20.8.tar.gz

At least for this platform. For which I think I saw a note
that they won't be updated for RELENG_8.


Again, I don't think that's the issue, but I'll slowly try updating
to RELENG_8, RELENG_9, then the X sources... because I'd
like to anyways.

Maybe this little more info helps. Ask if needed. Thx.
Comment 3 grarpamp 2012-09-21 03:29:16 UTC
> I am also seeing intermittent screen corruption. Seems to happen most
> often in Firefox, but I see it in gnome-terminal windows, as well.
> Sometimes even across the screen, crossing windows and icons. Always
> looks like hieroglyphics in red on a very doark (black or dark blue?)
> background.
>
> I am going to attach a screenshot, but the list processor may strip it out.

Dude, the Matrix is eating your CRT :) Seems quite different from mine.

Ok, here is a link to a window capture for mine for the bug. My problem
is contained entirely within the libreoffice window. And only within the cell
area, plus one half the width of the sequential column and row labels.
All other windows and screens are fine. I can send it direct if need be.

http://bayimg.com/gaCLOaael

Also, someone from Brazil replied to me direct (instead of the list)
and said...

"I'm using libdrm-2.4.17_1 here and I have the problem.
libdrm-2.4.17_1
xf86-video-intel-2.7.1_4
xorg-server-1.7.7_6,1
xorg-7.5.2
openjdk6-b25_2
"
Comment 4 R.Mahmatkhanov 2012-09-21 04:24:11 UTC
> I am also seeing intermittent screen corruption. Seems to happen most
> often in Firefox, but I see it in gnome-terminal windows, as well.
> Sometimes even across the screen, crossing windows and icons. Always
> looks like hieroglyphics in red on a very doark (black or dark blue?)
> background.
>
> I am going to attach a screenshot, but the list processor may strip it out.
>

Yes, the same is here. And yes, it happens in gnome-terminal for me too. 
And as I can say, I haven't had this on non-drm2 system with the same 
hardware.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 5 Baptiste Daroussin freebsd_committer 2012-09-25 18:38:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to office@
Comment 6 Baptiste Daroussin freebsd_committer 2012-11-05 13:48:13 UTC
State Changed
From-To: open->closed

Many people have reported that this has been fixed.